<div class="container" *ngIf="productFormGroup"> 
  <form [formGroup]="productFormGroup">
    <div class="form-group col-md-6">
      <label for="inputName">Name</label>
      <input
        type="text"
        class="form-control"
        id="inputName"
        formControlName="name"
        required
        [ngClass]="{'is-invalid':submitted && name?.errors}"
      />
      <div *ngIf="submitted && name?.errors" class="invalid-feedback">
        <div *ngIf="name?.errors?.['required']">
          Name is required.
        </div>
      </div>
    </div>
    <div class="form-group col-md-6">
      <label for="inputPrice">Price</label>
      <input
        type="text"
        class="form-control"
        id="inputPrice"
        formControlName="price"
        required
      />
      <!-- <div *ngIf="submitted && price?.errors" class="alert-danger">
        <div *ngIf="price?.errors?.['required']">
          Price is required.
        </div>
      </div> -->
    </div>
    <div class="form-group col-md-6">
      <label for="inputQty">Quantity</label>
      <input
        type="text"
        class="form-control"
        id="inputQty"
        formControlName="quantity"
        required
      />
    </div>
    <div class="form-group m-3">
      <div class="form-check">
        <input
          class="form-check-input"
          type="checkbox"
          id="gridCheckSelect"
          formControlName="selected"
        />
        <label class="form-check-label" for="gridCheck"> Select </label>
      </div>
    </div>
    <div class="form-group m-3">
      <div class="form-check">
        <input
          class="form-check-input"
          type="checkbox"
          id="gridCheckAvailable"
          formControlName="available"
        />
        <label class="form-check-label" for="gridCheck"> Available </label>
      </div>
    </div>

    <button type="submit" class="btn btn-primary" (click)="onSaveProduct()">
      Save
    </button>
  </form>
  
</div>
